nxt.http.callers

## Class GetDGSGoodsPurchasesCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetDGSGoodsPurchasesCall>
  - - nxt.http.callers.GetDGSGoodsPurchasesCall

-     public class GetDGSGoodsPurchasesCall
      extends APICall.Builder<GetDGSGoodsPurchasesCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetDGSGoodsPurchasesCall` | `buyer(long buyer)`
    `GetDGSGoodsPurchasesCall` | `buyer(java.lang.String buyer)`
    `GetDGSGoodsPurchasesCall` | `completed(java.lang.String completed)`
    `static GetDGSGoodsPurchasesCall` | `create()`
    `GetDGSGoodsPurchasesCall` | `firstIndex(int firstIndex)`
    `GetDGSGoodsPurchasesCall` | `goods(long goods)`
    `GetDGSGoodsPurchasesCall` | `goods(java.lang.String goods)`
    `GetDGSGoodsPurchasesCall` | `lastIndex(int lastIndex)`
    `GetDGSGoodsPurchasesCall` | `requireBlock(java.lang.String requireBlock)`
    `GetDGSGoodsPurchasesCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetDGSGoodsPurchasesCall` | `withPublicFeedbacksOnly(java.lang.String withPublicFeedbacksOnly)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetDGSGoodsPurchasesCall create()

    - #### requireLastBlock

          public GetDGSGoodsPurchasesCall requireLastBlock(java.lang.String requireLastBlock)

    - #### firstIndex

          public GetDGSGoodsPurchasesCall firstIndex(int firstIndex)

    - #### goods

          public GetDGSGoodsPurchasesCall goods(java.lang.String goods)

    - #### goods

          public GetDGSGoodsPurchasesCall goods(long goods)

    - #### completed

          public GetDGSGoodsPurchasesCall completed(java.lang.String completed)

    - #### lastIndex

          public GetDGSGoodsPurchasesCall lastIndex(int lastIndex)

    - #### withPublicFeedbacksOnly

          public GetDGSGoodsPurchasesCall withPublicFeedbacksOnly(java.lang.String withPublicFeedbacksOnly)

    - #### requireBlock

          public GetDGSGoodsPurchasesCall requireBlock(java.lang.String requireBlock)

    - #### buyer

          public GetDGSGoodsPurchasesCall buyer(java.lang.String buyer)

    - #### buyer

          public GetDGSGoodsPurchasesCall buyer(long buyer)